Skip to navigation

Get TestDefinition by ID

Beta
Get a single TestDefinition by ID.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

test_definition_idstringRequired
ID of the TestDefinition.

Headers

EARLY-ACCESSstringOptional

Set to true to access beta operations via /api/v3.

Query parameters

returningstringOptional

Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.

omitstringOptional

Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.

Response

OK
__typenamestringOptional
archiveReasonstring or nullOptional
archivedbooleanOptional
createdAtstringOptional
Timestamp of when the test definition was created.
creatorobjectOptional
The user that created the test definition.
descriptionstringOptional
The description of the test definition. Empty strings are allowed.
idstringOptional
The ID of the test definition.
modifiedAtstringOptional
Timestamp of when the test definition was last modified.
namestringOptional
The name of the test definition.
organizationobjectOptional
The organization that owns the test definition, used for auth.
resultSchemaobjectOptional
The result schema of the test definition, defines the measurement data shape.

Errors

400
Test Definition Get Request Bad Request Error
403
Test Definition Get Request Forbidden Error
404
Test Definition Get Request Not Found Error
429
Test Definition Get Request Too Many Requests Error
500
Test Definition Get Request Internal Server Error